/*
 * @Author: riverQiu
 * @Date: 2023-10-07 17:14:38
 * @LastEditors: riverQiu
 * @LastEditTime: 2023-10-07 17:14:44
 * @Description: 线索反馈接口
 */
import request from '@/utils/request';

// 查询线索反馈列表
export function listFeedback(query) {
  return request({
    url: '/zs/feedback/list',
    method: 'get',
    params: query
  });
}

// 查询线索反馈详细
export function getFeedback(feedbackId) {
  return request({
    url: '/zs/feedback/' + feedbackId,
    method: 'get'
  });
}

// 新增线索反馈
export function addFeedback(data) {
  return request({
    url: '/zs/feedback',
    method: 'post',
    data: data
  });
}

// 修改线索反馈
export function updateFeedback(data) {
  return request({
    url: '/zs/feedback',
    method: 'put',
    data: data
  });
}

// 删除线索反馈
export function delFeedback(feedbackId) {
  return request({
    url: '/zs/feedback/' + feedbackId,
    method: 'delete'
  });
}
